Package Details: onscripter 20220115-1

Git Clone URL: https://aur.archlinux.org/onscripter.git (read-only, click to copy)
Package Base: onscripter
Description: A game engine compatible to NScripter, to create and perform visual novel games
Upstream URL: http://onscripter.sourceforge.jp/onscripter.html
Licenses: GPL
Submitter: None
Maintainer: Coelacanthus
Last Packager: Coelacanthus
Votes: 14
Popularity: 0.003385
First Submitted: 2006-12-27 15:06 (UTC)
Last Updated: 2022-03-28 15:23 (UTC)

Latest Comments

910JQK commented on 2016-08-14 10:47 (UTC)

lack dependency lua51

shunonymous commented on 2016-06-12 11:57 (UTC)

> MarcinWieczorek I done, hope that ok. > linkmauve I'm not going to compile C with clang++. To begin with, onscripter was written in C++. $ grep "CC" Makefile.Linux Result: CC = g++ # for GCC on PowerPC specfied #CC = powerpc-unknown-linux-gnu-g++ #CC = icc CC is not C-compiler in onscripter. And... My makepkg.conf was set in such a way to use clang and I tried to compile onscripter, but it was compiled with gcc. To make sure, my makepkg.conf is here. https://gist.github.com/shunonymous/239a7c062570ac6951fa8febf1c4c015 Am I mistaking something?

MarcinWieczorek commented on 2016-06-11 18:41 (UTC)

To be honest I don't know the subject. Please make a pull request on github (including SRCINFO as I only have Microsoft Windows atm). https://github.com/MarcinWieczorek/aur-onscripter Thanks for feedback!

linkmauve commented on 2016-06-11 18:34 (UTC)

shunonymous, using clang++ to compile C files sounds like a terrible idea, C isn’t a subset of C++ so you should use clang instead. And you can set these CC and CXX variables in your /etc/makepkg.conf, no need to clutter every PKGBUILD with them. :)

shunonymous commented on 2016-06-11 18:25 (UTC)

Extend nsaconv, nsadec, sarconv, and sardec (and built with clang if $CXX=clang++) https://gist.githubusercontent.com/shunonymous/0192917c62a17252ceda3625d26a4a6c/raw/24c09242d41fe254de3c93b31c00983ef2750ad8/onscripter-PKGBUILD.patch

nyfair commented on 2013-01-16 07:49 (UTC)

script for update checking name=onscripter oldver=`awk -F'=' '/^pkgver/ {print $2}' PKGBUILD` ver=`curl -s http://onscripter.sourceforge.jp/onscripter.html | awk -F'-|.tar' '/tar/ {print $2; exit}'` if [[ $ver != $oldver ]]; then echo "new version $ver found" sed -i "s/^pkgver=[^ ]*/pkgver=$ver/" PKGBUILD curl -O http://onscripter.sourceforge.jp/$name-$ver.tar.gz md5=`md5sum $name-$ver.tar.gz | awk '{print $1}'` sed -i "s/^md5sums=.*/md5sums=('$md5')/" PKGBUILD makepkg -i makepkg --source rm -rf src pkg *.xz fi

diffycat commented on 2011-02-15 21:11 (UTC)

from namcap: onscripter E: Dependency detected and not included (gcc-libs) from files ['usr/bin/onscripter'] onscripter E: Dependency detected and not included (fontconfig) from files ['usr/bin/onscripter']